oc_jpegencode 1.0 JPEGencoder

Public Attributes | List of all members
pre_fifo Module Reference
Inheritance diagram for pre_fifo:
[legend]
Collaboration diagram for pre_fifo:
[legend]

## Public Attributes

## Inputs
clk |
rst |
enable |
data_in | [ 23 : 0 ]

## Outputs
cr_JPEG_bitstream | [ 31 : 0 ]
cr_data_ready |
cr_orc | [ 4 : 0 ]
cb_JPEG_bitstream | [ 31 : 0 ]
cb_data_ready |
cb_orc | [ 4 : 0 ]
y_JPEG_bitstream | [ 31 : 0 ]
y_data_ready |
y_orc | [ 4 : 0 ]
y_eob_output |
y_eob_empty |
cb_eob_empty |
cr_eob_empty |

## Signals
wire | rgb_enable
wire[ 23 : 0 ] | dct_data_in

## Module Instances
RGB2YCBCR::u4 | Module RGB2YCBCR
crd_q_h::u11 | Module crd_q_h
cbd_q_h::u12 | Module cbd_q_h
yd_q_h::u13 | Module yd_q_h

## Detailed Description

Definition at line 40 of file pre_fifo.v.

## Member Data Documentation

clk
| Input

Definition at line 44 of file pre_fifo.v.

rst
| Input

Definition at line 44 of file pre_fifo.v.

enable
| Input

Definition at line 44 of file pre_fifo.v.

data_in [ 23 : 0 ]
| Input

Definition at line 45 of file pre_fifo.v.

cr_JPEG_bitstream [ 31 : 0 ]
| Output

Definition at line 46 of file pre_fifo.v.

cr_data_ready
| Output

Definition at line 47 of file pre_fifo.v.

cr_orc [ 4 : 0 ]
| Output

Definition at line 48 of file pre_fifo.v.

cb_JPEG_bitstream [ 31 : 0 ]
| Output

Definition at line 49 of file pre_fifo.v.

cb_data_ready
| Output

Definition at line 50 of file pre_fifo.v.

cb_orc [ 4 : 0 ]
| Output

Definition at line 51 of file pre_fifo.v.

y_JPEG_bitstream [ 31 : 0 ]
| Output

Definition at line 52 of file pre_fifo.v.

y_data_ready
| Output

Definition at line 53 of file pre_fifo.v.

y_orc [ 4 : 0 ]
| Output

Definition at line 54 of file pre_fifo.v.

y_eob_output
| Output

Definition at line 55 of file pre_fifo.v.

y_eob_empty
| Output

Definition at line 56 of file pre_fifo.v.

cb_eob_empty
| Output

Definition at line 56 of file pre_fifo.v.

cr_eob_empty
| Output

Definition at line 56 of file pre_fifo.v.

rgb_enable
| Signal

Definition at line 59 of file pre_fifo.v.

dct_data_in
| Signal

Definition at line 60 of file pre_fifo.v.

cbd_q_h u12
| Module Instance

Definition at line 71 of file pre_fifo.v.

crd_q_h u11
| Module Instance

Definition at line 66 of file pre_fifo.v.

RGB2YCBCR u4
| Module Instance

Definition at line 63 of file pre_fifo.v.

yd_q_h u13
| Module Instance

Definition at line 76 of file pre_fifo.v.

The documentation for this Module was generated from the following files:

- code/pre_fifo.v